Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354545 - Review Request: rubygem-actioncable - WebSocket framework for Rails
Summary: Review Request: rubygem-actioncable - WebSocket framework for Rails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 14:07 UTC by Vít Ondruch
Modified: 2016-07-26 17:13 UTC (History)
2 users (show)

Fixed In Version: rubygem-actioncable-5.0.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-26 17:13:27 UTC
jaruga: fedora-review+


Attachments (Terms of Use)

Description Vít Ondruch 2016-07-11 14:07:28 UTC
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-actioncable.git/plain/rubygem-actioncable.spec?id=8ebaf18ca3a34ba3a69e8969e2aad8c82759154e
SRPM URL: http://people.redhat.com/vondruch/rubygem-actioncable-5.0.0-1.fc25.src.rpm
Description: Structure many real-time application concerns into channels over a single WebSocket connection.

Fedora Account System Username: vondruch



Please note that this dependens on rubygem-actionpack-5.0.0, which is not yet in Fedora, but the test version should be soon available at Copr [1].

Also note, that there are some TODOs in the spec file, but:
* I was lazy to explore, how to setup PostgreSQL
* I am not sure to executed the JS test cases, since the upstream way would require to package rubygem-blade, which has a whole lot of dependencies ...



[1] https://copr.fedorainfracloud.org/coprs/vondruch/ror5/package/rubygem-actionpack/

Comment 2 Jun Aruga 2016-07-11 17:07:56 UTC
rubygem-actioncable depends on actionpack.
And it is also specified on the rpm spec file.
```
BuildRequires: rubygem(actionpack) = %{version}
```

However there is no rubygem-actionpack 5.0.0 on Copr too.
(It seems that Copr has issue to upload the SRPM file right now.)
https://copr.fedorainfracloud.org/coprs/vondruch/ror5/monitor/

How did you build the actioncable by yourself?

I am working for rubygem-actionpack right now.
But if you have the built rubygem-actionpack-5.0.0 by yourself, could you upload it on Copr?

Comment 3 Vít Ondruch 2016-07-12 05:04:33 UTC
(In reply to Jun Aruga from comment #2)
I said "but the test version should be soon available at Copr [1].", please note the *should* and *soon*. I tested with manually installed package.

BTW if you are going to review the package, you should change 3 things:

1. fedora-review? (you did that)
2. Status to "ASSIGNED"
3. Assigned To set to yourself

Comment 4 Vít Ondruch 2016-07-12 08:04:35 UTC
The build of AC is available in Copr now:

https://copr.fedorainfracloud.org/coprs/vondruch/ror5/package/rubygem-actioncable/

Comment 5 Jun Aruga 2016-07-12 08:49:41 UTC
(In reply to Vít Ondruch from comment #3)
> (In reply to Jun Aruga from comment #2)
> I said "but the test version should be soon available at Copr [1].", please
> note the *should* and *soon*. I tested with manually installed package.
> 
> BTW if you are going to review the package, you should change 3 things:
> 
> 1. fedora-review? (you did that)
> 2. Status to "ASSIGNED"
> 3. Assigned To set to yourself

Sorry I missed your comments. I am going to check with your AC.

Comment 6 Jun Aruga 2016-07-13 13:22:20 UTC
Hi, 
I reviewed the files.

# Highlight

I have just one thing to ask you.

1. These 2 files have the comment related on the copyright. Is there something to do in the RPM spec file for these files?

./lib/action_cable/connection/client_socket.rb
./lib/action_cable/connection/stream.rb

# This class is heavily based on faye-websocket-ruby
#---
# Copyright (c) 2010-2015 James Coglan


Everything else is ok.


> Also note, that there are some TODOs in the spec file, but:
> * I was lazy to explore, how to setup PostgreSQL
> * I am not sure to executed the JS test cases, since the upstream way would
>  require to package rubygem-blade, which has a whole lot of dependencies ...

Sure.

As I am also not sure how to run the JS unit test case without blade,
I just checked the blade too on the upstream actioncable right now.
And I found the CI mode.
I thought we might find something if we would run it with debug mode or debug log.


```
$ vi Rakefile
  #Blade.start(interface: :runner)
  => Blade.start(interface: :ci)
$ bundler exec rake test:javascript
Then access to http://localhost:9876

```

# The result of the fedora-review

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 52 files have
     unknown license. Detailed output of licensecheck in /home/jaruga/git
     /fedora-packages/review/1354545-rubygem-actioncable/licensecheck.txt
[?]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     actioncable-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-actioncable-5.0.0-1.fc25.noarch.rpm
          rubygem-actioncable-doc-5.0.0-1.fc25.noarch.rpm
          rubygem-actioncable-5.0.0-1.fc25.src.rpm
rubygem-actioncable.noarch: W: no-documentation
rubygem-actioncable.src: W: invalid-url Source2: actioncable-5.0.0-app.tgz
rubygem-actioncable.src: W: invalid-url Source1: actioncable-5.0.0-tests.tgz
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-actioncable.noarch: W: invalid-url URL: http://rubyonrails.org <urlopen error [Errno -3] Temporary failure in name resolution>
rubygem-actioncable.noarch: W: no-documentation
rubygem-actioncable-doc.noarch: W: invalid-url URL: http://rubyonrails.org <urlopen error [Errno -3] Temporary failure in name resolution>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
rubygem-actioncable (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(actionpack)
    rubygem(nio4r)
    rubygem(websocket-driver)

rubygem-actioncable-doc (rpmlib, GLIBC filtered):
    rubygem-actioncable



Provides
--------
rubygem-actioncable:
    rubygem(actioncable)
    rubygem-actioncable

rubygem-actioncable-doc:
    rubygem-actioncable-doc



Source checksums
----------------
https://rubygems.org/gems/actioncable-5.0.0.gem :
  CHECKSUM(SHA256) this package     : 43ced9836ce73bb42eb3824aa3cb02e7cfe8837073a248f942d1b0c9f39ee8f4
  CHECKSUM(SHA256) upstream package : 43ced9836ce73bb42eb3824aa3cb02e7cfe8837073a248f942d1b0c9f39ee8f4


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1354545 -m ror5
Buildroot used: ror5
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Vít Ondruch 2016-07-26 08:09:15 UTC
(In reply to Jun Aruga from comment #6)
> Hi, 
> I reviewed the files.
> 
> # Highlight
> 
> I have just one thing to ask you.
> 
> 1. These 2 files have the comment related on the copyright. Is there
> something to do in the RPM spec file for these files?
> 
> ./lib/action_cable/connection/client_socket.rb
> ./lib/action_cable/connection/stream.rb
> 
> # This class is heavily based on faye-websocket-ruby
> #---
> # Copyright (c) 2010-2015 James Coglan

I don't see any problem with this. faye-websocket-ruby is MIT licensed [1], so you can do almost everything with the code.


Could you please approve the package if you have no other concerns? Thank you.



[1] https://github.com/faye/faye-websocket-ruby

Comment 8 Jun Aruga 2016-07-26 08:17:46 UTC
Okay,
I am APPROVED.

(In reply to Vít Ondruch from comment #7)
> (In reply to Jun Aruga from comment #6)
> > Hi, 
> > I reviewed the files.
> > 
> > # Highlight
> > 
> > I have just one thing to ask you.
> > 
> > 1. These 2 files have the comment related on the copyright. Is there
> > something to do in the RPM spec file for these files?
> > 
> > ./lib/action_cable/connection/client_socket.rb
> > ./lib/action_cable/connection/stream.rb
> > 
> > # This class is heavily based on faye-websocket-ruby
> > #---
> > # Copyright (c) 2010-2015 James Coglan
> 
> I don't see any problem with this. faye-websocket-ruby is MIT licensed [1],
> so you can do almost everything with the code.
> 
> 
> Could you please approve the package if you have no other concerns? Thank
> you.
> 
> 
> 
> [1] https://github.com/faye/faye-websocket-ruby

Comment 9 Gwyn Ciesla 2016-07-26 13:31:09 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-actioncable

Comment 10 Vít Ondruch 2016-07-26 17:13:27 UTC
Thank you for the review and processing the package request. The package is now available in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.